Subject: Re: [PATCH] Simplify MSGFMT setting in Makefile

From: Charles Bailey <[email-masked]>
Date: Wed, 12 Mar 2008 10:19:12 +0000

On Tue, Mar 11, 2008 at 10:29:52PM -0700, Junio C Hamano wrote:
> To prepare msg files for Tcl scripts, the command that is set to MSGFMT
> make variable needs to be able to grok "--tcl -l <lang> -d <here>" options
> correctly.  This patch simplifies the tests done in git-gui's Makefile to
> directly test this condition.  If the test run does not exit properly with
> zero status (either because you do not have "msgfmt" itself, or your
> "msgfmt" is too old to grok --tcl option --- the reason does not matter),
> have it fall back to po/po2msg.sh
> 
> Signed-off-by: Junio C Hamano <[email-masked]>

Tested-by: Charles Bailey <[email-masked]>

This looks good to me on Mac OS X 10.5.2, would anyone like me to
prepare a patch for gitk as without it we still need to manually
specifiy NO_MSGFMT to the top level git make in any case?

Charles.